IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network238.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
238.160.0.0- Broadcast address
238.191.255.255- First usable
238.160.0.1- Last usable
238.191.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
EEA00000· Integer4003463168to4005560319 - Reverse DNS zones
160.238.in-addr.arpa161.238.in-addr.arpa162.238.in-addr.arpa163.238.in-addr.arpa164.238.in-addr.arpa165.238.in-addr.arpa166.238.in-addr.arpa167.238.in-addr.arpa168.238.in-addr.arpa169.238.in-addr.arpa170.238.in-addr.arpa171.238.in-addr.arpa172.238.in-addr.arpa173.238.in-addr.arpa174.238.in-addr.arpa175.238.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101110.10100000.00000000.00000000 | 238.160.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 11101110.10100000.00000000.00000000 | 238.160.0.0 |
| Broadcast | 11101110.10111111.11111111.11111111 | 238.191.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
238.160.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 238.160.0.0/23 | 238.160.0.1 to 238.160.1.254 | 238.160.1.255 | 510 |
| 2 | 238.160.2.0/23 | 238.160.2.1 to 238.160.3.254 | 238.160.3.255 | 510 |
| 3 | 238.160.4.0/23 | 238.160.4.1 to 238.160.5.254 | 238.160.5.255 | 510 |
| 4 | 238.160.6.0/23 | 238.160.6.1 to 238.160.7.254 | 238.160.7.255 | 510 |
| 5 | 238.160.8.0/23 | 238.160.8.1 to 238.160.9.254 | 238.160.9.255 | 510 |
| 6 | 238.160.10.0/23 | 238.160.10.1 to 238.160.11.254 | 238.160.11.255 | 510 |
| 7 | 238.160.12.0/23 | 238.160.12.1 to 238.160.13.254 | 238.160.13.255 | 510 |
| 8 | 238.160.14.0/23 | 238.160.14.1 to 238.160.15.254 | 238.160.15.255 | 510 |
| 9 | 238.160.16.0/23 | 238.160.16.1 to 238.160.17.254 | 238.160.17.255 | 510 |
| 10 | 238.160.18.0/23 | 238.160.18.1 to 238.160.19.254 | 238.160.19.255 | 510 |
| 11 | 238.160.20.0/23 | 238.160.20.1 to 238.160.21.254 | 238.160.21.255 | 510 |
| 12 | 238.160.22.0/23 | 238.160.22.1 to 238.160.23.254 | 238.160.23.255 | 510 |
| 13 | 238.160.24.0/23 | 238.160.24.1 to 238.160.25.254 | 238.160.25.255 | 510 |
| 14 | 238.160.26.0/23 | 238.160.26.1 to 238.160.27.254 | 238.160.27.255 | 510 |
| 15 | 238.160.28.0/23 | 238.160.28.1 to 238.160.29.254 | 238.160.29.255 | 510 |
| 16 | 238.160.30.0/23 | 238.160.30.1 to 238.160.31.254 | 238.160.31.255 | 510 |
| 17 | 238.160.32.0/23 | 238.160.32.1 to 238.160.33.254 | 238.160.33.255 | 510 |
| 18 | 238.160.34.0/23 | 238.160.34.1 to 238.160.35.254 | 238.160.35.255 | 510 |
| 19 | 238.160.36.0/23 | 238.160.36.1 to 238.160.37.254 | 238.160.37.255 | 510 |
| 20 | 238.160.38.0/23 | 238.160.38.1 to 238.160.39.254 | 238.160.39.255 | 510 |
| 21 | 238.160.40.0/23 | 238.160.40.1 to 238.160.41.254 | 238.160.41.255 | 510 |
| 22 | 238.160.42.0/23 | 238.160.42.1 to 238.160.43.254 | 238.160.43.255 | 510 |
| 23 | 238.160.44.0/23 | 238.160.44.1 to 238.160.45.254 | 238.160.45.255 | 510 |
| 24 | 238.160.46.0/23 | 238.160.46.1 to 238.160.47.254 | 238.160.47.255 | 510 |
| 25 | 238.160.48.0/23 | 238.160.48.1 to 238.160.49.254 | 238.160.49.255 | 510 |
| 26 | 238.160.50.0/23 | 238.160.50.1 to 238.160.51.254 | 238.160.51.255 | 510 |
| 27 | 238.160.52.0/23 | 238.160.52.1 to 238.160.53.254 | 238.160.53.255 | 510 |
| 28 | 238.160.54.0/23 | 238.160.54.1 to 238.160.55.254 | 238.160.55.255 | 510 |
| 29 | 238.160.56.0/23 | 238.160.56.1 to 238.160.57.254 | 238.160.57.255 | 510 |
| 30 | 238.160.58.0/23 | 238.160.58.1 to 238.160.59.254 | 238.160.59.255 | 510 |
| 31 | 238.160.60.0/23 | 238.160.60.1 to 238.160.61.254 | 238.160.61.255 | 510 |
| 32 | 238.160.62.0/23 | 238.160.62.1 to 238.160.63.254 | 238.160.63.255 | 510 |
| 33 | 238.160.64.0/23 | 238.160.64.1 to 238.160.65.254 | 238.160.65.255 | 510 |
| 34 | 238.160.66.0/23 | 238.160.66.1 to 238.160.67.254 | 238.160.67.255 | 510 |
| 35 | 238.160.68.0/23 | 238.160.68.1 to 238.160.69.254 | 238.160.69.255 | 510 |
| 36 | 238.160.70.0/23 | 238.160.70.1 to 238.160.71.254 | 238.160.71.255 | 510 |
| 37 | 238.160.72.0/23 | 238.160.72.1 to 238.160.73.254 | 238.160.73.255 | 510 |
| 38 | 238.160.74.0/23 | 238.160.74.1 to 238.160.75.254 | 238.160.75.255 | 510 |
| 39 | 238.160.76.0/23 | 238.160.76.1 to 238.160.77.254 | 238.160.77.255 | 510 |
| 40 | 238.160.78.0/23 | 238.160.78.1 to 238.160.79.254 | 238.160.79.255 | 510 |
| 41 | 238.160.80.0/23 | 238.160.80.1 to 238.160.81.254 | 238.160.81.255 | 510 |
| 42 | 238.160.82.0/23 | 238.160.82.1 to 238.160.83.254 | 238.160.83.255 | 510 |
| 43 | 238.160.84.0/23 | 238.160.84.1 to 238.160.85.254 | 238.160.85.255 | 510 |
| 44 | 238.160.86.0/23 | 238.160.86.1 to 238.160.87.254 | 238.160.87.255 | 510 |
| 45 | 238.160.88.0/23 | 238.160.88.1 to 238.160.89.254 | 238.160.89.255 | 510 |
| 46 | 238.160.90.0/23 | 238.160.90.1 to 238.160.91.254 | 238.160.91.255 | 510 |
| 47 | 238.160.92.0/23 | 238.160.92.1 to 238.160.93.254 | 238.160.93.255 | 510 |
| 48 | 238.160.94.0/23 | 238.160.94.1 to 238.160.95.254 | 238.160.95.255 | 510 |
| 49 | 238.160.96.0/23 | 238.160.96.1 to 238.160.97.254 | 238.160.97.255 | 510 |
| 50 | 238.160.98.0/23 | 238.160.98.1 to 238.160.99.254 | 238.160.99.255 | 510 |
| 51 | 238.160.100.0/23 | 238.160.100.1 to 238.160.101.254 | 238.160.101.255 | 510 |
| 52 | 238.160.102.0/23 | 238.160.102.1 to 238.160.103.254 | 238.160.103.255 | 510 |
| 53 | 238.160.104.0/23 | 238.160.104.1 to 238.160.105.254 | 238.160.105.255 | 510 |
| 54 | 238.160.106.0/23 | 238.160.106.1 to 238.160.107.254 | 238.160.107.255 | 510 |
| 55 | 238.160.108.0/23 | 238.160.108.1 to 238.160.109.254 | 238.160.109.255 | 510 |
| 56 | 238.160.110.0/23 | 238.160.110.1 to 238.160.111.254 | 238.160.111.255 | 510 |
| 57 | 238.160.112.0/23 | 238.160.112.1 to 238.160.113.254 | 238.160.113.255 | 510 |
| 58 | 238.160.114.0/23 | 238.160.114.1 to 238.160.115.254 | 238.160.115.255 | 510 |
| 59 | 238.160.116.0/23 | 238.160.116.1 to 238.160.117.254 | 238.160.117.255 | 510 |
| 60 | 238.160.118.0/23 | 238.160.118.1 to 238.160.119.254 | 238.160.119.255 | 510 |
| 61 | 238.160.120.0/23 | 238.160.120.1 to 238.160.121.254 | 238.160.121.255 | 510 |
| 62 | 238.160.122.0/23 | 238.160.122.1 to 238.160.123.254 | 238.160.123.255 | 510 |
| 63 | 238.160.124.0/23 | 238.160.124.1 to 238.160.125.254 | 238.160.125.255 | 510 |
| 64 | 238.160.126.0/23 | 238.160.126.1 to 238.160.127.254 | 238.160.127.255 | 510 |
| 65 | 238.160.128.0/23 | 238.160.128.1 to 238.160.129.254 | 238.160.129.255 | 510 |
| 66 | 238.160.130.0/23 | 238.160.130.1 to 238.160.131.254 | 238.160.131.255 | 510 |
| 67 | 238.160.132.0/23 | 238.160.132.1 to 238.160.133.254 | 238.160.133.255 | 510 |
| 68 | 238.160.134.0/23 | 238.160.134.1 to 238.160.135.254 | 238.160.135.255 | 510 |
| 69 | 238.160.136.0/23 | 238.160.136.1 to 238.160.137.254 | 238.160.137.255 | 510 |
| 70 | 238.160.138.0/23 | 238.160.138.1 to 238.160.139.254 | 238.160.139.255 | 510 |
| 71 | 238.160.140.0/23 | 238.160.140.1 to 238.160.141.254 | 238.160.141.255 | 510 |
| 72 | 238.160.142.0/23 | 238.160.142.1 to 238.160.143.254 | 238.160.143.255 | 510 |
| 73 | 238.160.144.0/23 | 238.160.144.1 to 238.160.145.254 | 238.160.145.255 | 510 |
| 74 | 238.160.146.0/23 | 238.160.146.1 to 238.160.147.254 | 238.160.147.255 | 510 |
| 75 | 238.160.148.0/23 | 238.160.148.1 to 238.160.149.254 | 238.160.149.255 | 510 |
| 76 | 238.160.150.0/23 | 238.160.150.1 to 238.160.151.254 | 238.160.151.255 | 510 |
| 77 | 238.160.152.0/23 | 238.160.152.1 to 238.160.153.254 | 238.160.153.255 | 510 |
| 78 | 238.160.154.0/23 | 238.160.154.1 to 238.160.155.254 | 238.160.155.255 | 510 |
| 79 | 238.160.156.0/23 | 238.160.156.1 to 238.160.157.254 | 238.160.157.255 | 510 |
| 80 | 238.160.158.0/23 | 238.160.158.1 to 238.160.159.254 | 238.160.159.255 | 510 |
| 81 | 238.160.160.0/23 | 238.160.160.1 to 238.160.161.254 | 238.160.161.255 | 510 |
| 82 | 238.160.162.0/23 | 238.160.162.1 to 238.160.163.254 | 238.160.163.255 | 510 |
| 83 | 238.160.164.0/23 | 238.160.164.1 to 238.160.165.254 | 238.160.165.255 | 510 |
| 84 | 238.160.166.0/23 | 238.160.166.1 to 238.160.167.254 | 238.160.167.255 | 510 |
| 85 | 238.160.168.0/23 | 238.160.168.1 to 238.160.169.254 | 238.160.169.255 | 510 |
| 86 | 238.160.170.0/23 | 238.160.170.1 to 238.160.171.254 | 238.160.171.255 | 510 |
| 87 | 238.160.172.0/23 | 238.160.172.1 to 238.160.173.254 | 238.160.173.255 | 510 |
| 88 | 238.160.174.0/23 | 238.160.174.1 to 238.160.175.254 | 238.160.175.255 | 510 |
| 89 | 238.160.176.0/23 | 238.160.176.1 to 238.160.177.254 | 238.160.177.255 | 510 |
| 90 | 238.160.178.0/23 | 238.160.178.1 to 238.160.179.254 | 238.160.179.255 | 510 |
| 91 | 238.160.180.0/23 | 238.160.180.1 to 238.160.181.254 | 238.160.181.255 | 510 |
| 92 | 238.160.182.0/23 | 238.160.182.1 to 238.160.183.254 | 238.160.183.255 | 510 |
| 93 | 238.160.184.0/23 | 238.160.184.1 to 238.160.185.254 | 238.160.185.255 | 510 |
| 94 | 238.160.186.0/23 | 238.160.186.1 to 238.160.187.254 | 238.160.187.255 | 510 |
| 95 | 238.160.188.0/23 | 238.160.188.1 to 238.160.189.254 | 238.160.189.255 | 510 |
| 96 | 238.160.190.0/23 | 238.160.190.1 to 238.160.191.254 | 238.160.191.255 | 510 |
| 97 | 238.160.192.0/23 | 238.160.192.1 to 238.160.193.254 | 238.160.193.255 | 510 |
| 98 | 238.160.194.0/23 | 238.160.194.1 to 238.160.195.254 | 238.160.195.255 | 510 |
| 99 | 238.160.196.0/23 | 238.160.196.1 to 238.160.197.254 | 238.160.197.255 | 510 |
| 100 | 238.160.198.0/23 | 238.160.198.1 to 238.160.199.254 | 238.160.199.255 | 510 |
| 101 | 238.160.200.0/23 | 238.160.200.1 to 238.160.201.254 | 238.160.201.255 | 510 |
| 102 | 238.160.202.0/23 | 238.160.202.1 to 238.160.203.254 | 238.160.203.255 | 510 |
| 103 | 238.160.204.0/23 | 238.160.204.1 to 238.160.205.254 | 238.160.205.255 | 510 |
| 104 | 238.160.206.0/23 | 238.160.206.1 to 238.160.207.254 | 238.160.207.255 | 510 |
| 105 | 238.160.208.0/23 | 238.160.208.1 to 238.160.209.254 | 238.160.209.255 | 510 |
| 106 | 238.160.210.0/23 | 238.160.210.1 to 238.160.211.254 | 238.160.211.255 | 510 |
| 107 | 238.160.212.0/23 | 238.160.212.1 to 238.160.213.254 | 238.160.213.255 | 510 |
| 108 | 238.160.214.0/23 | 238.160.214.1 to 238.160.215.254 | 238.160.215.255 | 510 |
| 109 | 238.160.216.0/23 | 238.160.216.1 to 238.160.217.254 | 238.160.217.255 | 510 |
| 110 | 238.160.218.0/23 | 238.160.218.1 to 238.160.219.254 | 238.160.219.255 | 510 |
| 111 | 238.160.220.0/23 | 238.160.220.1 to 238.160.221.254 | 238.160.221.255 | 510 |
| 112 | 238.160.222.0/23 | 238.160.222.1 to 238.160.223.254 | 238.160.223.255 | 510 |
| 113 | 238.160.224.0/23 | 238.160.224.1 to 238.160.225.254 | 238.160.225.255 | 510 |
| 114 | 238.160.226.0/23 | 238.160.226.1 to 238.160.227.254 | 238.160.227.255 | 510 |
| 115 | 238.160.228.0/23 | 238.160.228.1 to 238.160.229.254 | 238.160.229.255 | 510 |
| 116 | 238.160.230.0/23 | 238.160.230.1 to 238.160.231.254 | 238.160.231.255 | 510 |
| 117 | 238.160.232.0/23 | 238.160.232.1 to 238.160.233.254 | 238.160.233.255 | 510 |
| 118 | 238.160.234.0/23 | 238.160.234.1 to 238.160.235.254 | 238.160.235.255 | 510 |
| 119 | 238.160.236.0/23 | 238.160.236.1 to 238.160.237.254 | 238.160.237.255 | 510 |
| 120 | 238.160.238.0/23 | 238.160.238.1 to 238.160.239.254 | 238.160.239.255 | 510 |
| 121 | 238.160.240.0/23 | 238.160.240.1 to 238.160.241.254 | 238.160.241.255 | 510 |
| 122 | 238.160.242.0/23 | 238.160.242.1 to 238.160.243.254 | 238.160.243.255 | 510 |
| 123 | 238.160.244.0/23 | 238.160.244.1 to 238.160.245.254 | 238.160.245.255 | 510 |
| 124 | 238.160.246.0/23 | 238.160.246.1 to 238.160.247.254 | 238.160.247.255 | 510 |
| 125 | 238.160.248.0/23 | 238.160.248.1 to 238.160.249.254 | 238.160.249.255 | 510 |
| 126 | 238.160.250.0/23 | 238.160.250.1 to 238.160.251.254 | 238.160.251.255 | 510 |
| 127 | 238.160.252.0/23 | 238.160.252.1 to 238.160.253.254 | 238.160.253.255 | 510 |
| 128 | 238.160.254.0/23 | 238.160.254.1 to 238.160.255.254 | 238.160.255.255 | 510 |
| 129 | 238.161.0.0/23 | 238.161.0.1 to 238.161.1.254 | 238.161.1.255 | 510 |
| 130 | 238.161.2.0/23 | 238.161.2.1 to 238.161.3.254 | 238.161.3.255 | 510 |
| 131 | 238.161.4.0/23 | 238.161.4.1 to 238.161.5.254 | 238.161.5.255 | 510 |
| 132 | 238.161.6.0/23 | 238.161.6.1 to 238.161.7.254 | 238.161.7.255 | 510 |
| 133 | 238.161.8.0/23 | 238.161.8.1 to 238.161.9.254 | 238.161.9.255 | 510 |
| 134 | 238.161.10.0/23 | 238.161.10.1 to 238.161.11.254 | 238.161.11.255 | 510 |
| 135 | 238.161.12.0/23 | 238.161.12.1 to 238.161.13.254 | 238.161.13.255 | 510 |
| 136 | 238.161.14.0/23 | 238.161.14.1 to 238.161.15.254 | 238.161.15.255 | 510 |
| 137 | 238.161.16.0/23 | 238.161.16.1 to 238.161.17.254 | 238.161.17.255 | 510 |
| 138 | 238.161.18.0/23 | 238.161.18.1 to 238.161.19.254 | 238.161.19.255 | 510 |
| 139 | 238.161.20.0/23 | 238.161.20.1 to 238.161.21.254 | 238.161.21.255 | 510 |
| 140 | 238.161.22.0/23 | 238.161.22.1 to 238.161.23.254 | 238.161.23.255 | 510 |
| 141 | 238.161.24.0/23 | 238.161.24.1 to 238.161.25.254 | 238.161.25.255 | 510 |
| 142 | 238.161.26.0/23 | 238.161.26.1 to 238.161.27.254 | 238.161.27.255 | 510 |
| 143 | 238.161.28.0/23 | 238.161.28.1 to 238.161.29.254 | 238.161.29.255 | 510 |
| 144 | 238.161.30.0/23 | 238.161.30.1 to 238.161.31.254 | 238.161.31.255 | 510 |
| 145 | 238.161.32.0/23 | 238.161.32.1 to 238.161.33.254 | 238.161.33.255 | 510 |
| 146 | 238.161.34.0/23 | 238.161.34.1 to 238.161.35.254 | 238.161.35.255 | 510 |
| 147 | 238.161.36.0/23 | 238.161.36.1 to 238.161.37.254 | 238.161.37.255 | 510 |
| 148 | 238.161.38.0/23 | 238.161.38.1 to 238.161.39.254 | 238.161.39.255 | 510 |
| 149 | 238.161.40.0/23 | 238.161.40.1 to 238.161.41.254 | 238.161.41.255 | 510 |
| 150 | 238.161.42.0/23 | 238.161.42.1 to 238.161.43.254 | 238.161.43.255 | 510 |
| 151 | 238.161.44.0/23 | 238.161.44.1 to 238.161.45.254 | 238.161.45.255 | 510 |
| 152 | 238.161.46.0/23 | 238.161.46.1 to 238.161.47.254 | 238.161.47.255 | 510 |
| 153 | 238.161.48.0/23 | 238.161.48.1 to 238.161.49.254 | 238.161.49.255 | 510 |
| 154 | 238.161.50.0/23 | 238.161.50.1 to 238.161.51.254 | 238.161.51.255 | 510 |
| 155 | 238.161.52.0/23 | 238.161.52.1 to 238.161.53.254 | 238.161.53.255 | 510 |
| 156 | 238.161.54.0/23 | 238.161.54.1 to 238.161.55.254 | 238.161.55.255 | 510 |
| 157 | 238.161.56.0/23 | 238.161.56.1 to 238.161.57.254 | 238.161.57.255 | 510 |
| 158 | 238.161.58.0/23 | 238.161.58.1 to 238.161.59.254 | 238.161.59.255 | 510 |
| 159 | 238.161.60.0/23 | 238.161.60.1 to 238.161.61.254 | 238.161.61.255 | 510 |
| 160 | 238.161.62.0/23 | 238.161.62.1 to 238.161.63.254 | 238.161.63.255 | 510 |
| 161 | 238.161.64.0/23 | 238.161.64.1 to 238.161.65.254 | 238.161.65.255 | 510 |
| 162 | 238.161.66.0/23 | 238.161.66.1 to 238.161.67.254 | 238.161.67.255 | 510 |
| 163 | 238.161.68.0/23 | 238.161.68.1 to 238.161.69.254 | 238.161.69.255 | 510 |
| 164 | 238.161.70.0/23 | 238.161.70.1 to 238.161.71.254 | 238.161.71.255 | 510 |
| 165 | 238.161.72.0/23 | 238.161.72.1 to 238.161.73.254 | 238.161.73.255 | 510 |
| 166 | 238.161.74.0/23 | 238.161.74.1 to 238.161.75.254 | 238.161.75.255 | 510 |
| 167 | 238.161.76.0/23 | 238.161.76.1 to 238.161.77.254 | 238.161.77.255 | 510 |
| 168 | 238.161.78.0/23 | 238.161.78.1 to 238.161.79.254 | 238.161.79.255 | 510 |
| 169 | 238.161.80.0/23 | 238.161.80.1 to 238.161.81.254 | 238.161.81.255 | 510 |
| 170 | 238.161.82.0/23 | 238.161.82.1 to 238.161.83.254 | 238.161.83.255 | 510 |
| 171 | 238.161.84.0/23 | 238.161.84.1 to 238.161.85.254 | 238.161.85.255 | 510 |
| 172 | 238.161.86.0/23 | 238.161.86.1 to 238.161.87.254 | 238.161.87.255 | 510 |
| 173 | 238.161.88.0/23 | 238.161.88.1 to 238.161.89.254 | 238.161.89.255 | 510 |
| 174 | 238.161.90.0/23 | 238.161.90.1 to 238.161.91.254 | 238.161.91.255 | 510 |
| 175 | 238.161.92.0/23 | 238.161.92.1 to 238.161.93.254 | 238.161.93.255 | 510 |
| 176 | 238.161.94.0/23 | 238.161.94.1 to 238.161.95.254 | 238.161.95.255 | 510 |
| 177 | 238.161.96.0/23 | 238.161.96.1 to 238.161.97.254 | 238.161.97.255 | 510 |
| 178 | 238.161.98.0/23 | 238.161.98.1 to 238.161.99.254 | 238.161.99.255 | 510 |
| 179 | 238.161.100.0/23 | 238.161.100.1 to 238.161.101.254 | 238.161.101.255 | 510 |
| 180 | 238.161.102.0/23 | 238.161.102.1 to 238.161.103.254 | 238.161.103.255 | 510 |
| 181 | 238.161.104.0/23 | 238.161.104.1 to 238.161.105.254 | 238.161.105.255 | 510 |
| 182 | 238.161.106.0/23 | 238.161.106.1 to 238.161.107.254 | 238.161.107.255 | 510 |
| 183 | 238.161.108.0/23 | 238.161.108.1 to 238.161.109.254 | 238.161.109.255 | 510 |
| 184 | 238.161.110.0/23 | 238.161.110.1 to 238.161.111.254 | 238.161.111.255 | 510 |
| 185 | 238.161.112.0/23 | 238.161.112.1 to 238.161.113.254 | 238.161.113.255 | 510 |
| 186 | 238.161.114.0/23 | 238.161.114.1 to 238.161.115.254 | 238.161.115.255 | 510 |
| 187 | 238.161.116.0/23 | 238.161.116.1 to 238.161.117.254 | 238.161.117.255 | 510 |
| 188 | 238.161.118.0/23 | 238.161.118.1 to 238.161.119.254 | 238.161.119.255 | 510 |
| 189 | 238.161.120.0/23 | 238.161.120.1 to 238.161.121.254 | 238.161.121.255 | 510 |
| 190 | 238.161.122.0/23 | 238.161.122.1 to 238.161.123.254 | 238.161.123.255 | 510 |
| 191 | 238.161.124.0/23 | 238.161.124.1 to 238.161.125.254 | 238.161.125.255 | 510 |
| 192 | 238.161.126.0/23 | 238.161.126.1 to 238.161.127.254 | 238.161.127.255 | 510 |
| 193 | 238.161.128.0/23 | 238.161.128.1 to 238.161.129.254 | 238.161.129.255 | 510 |
| 194 | 238.161.130.0/23 | 238.161.130.1 to 238.161.131.254 | 238.161.131.255 | 510 |
| 195 | 238.161.132.0/23 | 238.161.132.1 to 238.161.133.254 | 238.161.133.255 | 510 |
| 196 | 238.161.134.0/23 | 238.161.134.1 to 238.161.135.254 | 238.161.135.255 | 510 |
| 197 | 238.161.136.0/23 | 238.161.136.1 to 238.161.137.254 | 238.161.137.255 | 510 |
| 198 | 238.161.138.0/23 | 238.161.138.1 to 238.161.139.254 | 238.161.139.255 | 510 |
| 199 | 238.161.140.0/23 | 238.161.140.1 to 238.161.141.254 | 238.161.141.255 | 510 |
| 200 | 238.161.142.0/23 | 238.161.142.1 to 238.161.143.254 | 238.161.143.255 | 510 |
| 201 | 238.161.144.0/23 | 238.161.144.1 to 238.161.145.254 | 238.161.145.255 | 510 |
| 202 | 238.161.146.0/23 | 238.161.146.1 to 238.161.147.254 | 238.161.147.255 | 510 |
| 203 | 238.161.148.0/23 | 238.161.148.1 to 238.161.149.254 | 238.161.149.255 | 510 |
| 204 | 238.161.150.0/23 | 238.161.150.1 to 238.161.151.254 | 238.161.151.255 | 510 |
| 205 | 238.161.152.0/23 | 238.161.152.1 to 238.161.153.254 | 238.161.153.255 | 510 |
| 206 | 238.161.154.0/23 | 238.161.154.1 to 238.161.155.254 | 238.161.155.255 | 510 |
| 207 | 238.161.156.0/23 | 238.161.156.1 to 238.161.157.254 | 238.161.157.255 | 510 |
| 208 | 238.161.158.0/23 | 238.161.158.1 to 238.161.159.254 | 238.161.159.255 | 510 |
| 209 | 238.161.160.0/23 | 238.161.160.1 to 238.161.161.254 | 238.161.161.255 | 510 |
| 210 | 238.161.162.0/23 | 238.161.162.1 to 238.161.163.254 | 238.161.163.255 | 510 |
| 211 | 238.161.164.0/23 | 238.161.164.1 to 238.161.165.254 | 238.161.165.255 | 510 |
| 212 | 238.161.166.0/23 | 238.161.166.1 to 238.161.167.254 | 238.161.167.255 | 510 |
| 213 | 238.161.168.0/23 | 238.161.168.1 to 238.161.169.254 | 238.161.169.255 | 510 |
| 214 | 238.161.170.0/23 | 238.161.170.1 to 238.161.171.254 | 238.161.171.255 | 510 |
| 215 | 238.161.172.0/23 | 238.161.172.1 to 238.161.173.254 | 238.161.173.255 | 510 |
| 216 | 238.161.174.0/23 | 238.161.174.1 to 238.161.175.254 | 238.161.175.255 | 510 |
| 217 | 238.161.176.0/23 | 238.161.176.1 to 238.161.177.254 | 238.161.177.255 | 510 |
| 218 | 238.161.178.0/23 | 238.161.178.1 to 238.161.179.254 | 238.161.179.255 | 510 |
| 219 | 238.161.180.0/23 | 238.161.180.1 to 238.161.181.254 | 238.161.181.255 | 510 |
| 220 | 238.161.182.0/23 | 238.161.182.1 to 238.161.183.254 | 238.161.183.255 | 510 |
| 221 | 238.161.184.0/23 | 238.161.184.1 to 238.161.185.254 | 238.161.185.255 | 510 |
| 222 | 238.161.186.0/23 | 238.161.186.1 to 238.161.187.254 | 238.161.187.255 | 510 |
| 223 | 238.161.188.0/23 | 238.161.188.1 to 238.161.189.254 | 238.161.189.255 | 510 |
| 224 | 238.161.190.0/23 | 238.161.190.1 to 238.161.191.254 | 238.161.191.255 | 510 |
| 225 | 238.161.192.0/23 | 238.161.192.1 to 238.161.193.254 | 238.161.193.255 | 510 |
| 226 | 238.161.194.0/23 | 238.161.194.1 to 238.161.195.254 | 238.161.195.255 | 510 |
| 227 | 238.161.196.0/23 | 238.161.196.1 to 238.161.197.254 | 238.161.197.255 | 510 |
| 228 | 238.161.198.0/23 | 238.161.198.1 to 238.161.199.254 | 238.161.199.255 | 510 |
| 229 | 238.161.200.0/23 | 238.161.200.1 to 238.161.201.254 | 238.161.201.255 | 510 |
| 230 | 238.161.202.0/23 | 238.161.202.1 to 238.161.203.254 | 238.161.203.255 | 510 |
| 231 | 238.161.204.0/23 | 238.161.204.1 to 238.161.205.254 | 238.161.205.255 | 510 |
| 232 | 238.161.206.0/23 | 238.161.206.1 to 238.161.207.254 | 238.161.207.255 | 510 |
| 233 | 238.161.208.0/23 | 238.161.208.1 to 238.161.209.254 | 238.161.209.255 | 510 |
| 234 | 238.161.210.0/23 | 238.161.210.1 to 238.161.211.254 | 238.161.211.255 | 510 |
| 235 | 238.161.212.0/23 | 238.161.212.1 to 238.161.213.254 | 238.161.213.255 | 510 |
| 236 | 238.161.214.0/23 | 238.161.214.1 to 238.161.215.254 | 238.161.215.255 | 510 |
| 237 | 238.161.216.0/23 | 238.161.216.1 to 238.161.217.254 | 238.161.217.255 | 510 |
| 238 | 238.161.218.0/23 | 238.161.218.1 to 238.161.219.254 | 238.161.219.255 | 510 |
| 239 | 238.161.220.0/23 | 238.161.220.1 to 238.161.221.254 | 238.161.221.255 | 510 |
| 240 | 238.161.222.0/23 | 238.161.222.1 to 238.161.223.254 | 238.161.223.255 | 510 |
| 241 | 238.161.224.0/23 | 238.161.224.1 to 238.161.225.254 | 238.161.225.255 | 510 |
| 242 | 238.161.226.0/23 | 238.161.226.1 to 238.161.227.254 | 238.161.227.255 | 510 |
| 243 | 238.161.228.0/23 | 238.161.228.1 to 238.161.229.254 | 238.161.229.255 | 510 |
| 244 | 238.161.230.0/23 | 238.161.230.1 to 238.161.231.254 | 238.161.231.255 | 510 |
| 245 | 238.161.232.0/23 | 238.161.232.1 to 238.161.233.254 | 238.161.233.255 | 510 |
| 246 | 238.161.234.0/23 | 238.161.234.1 to 238.161.235.254 | 238.161.235.255 | 510 |
| 247 | 238.161.236.0/23 | 238.161.236.1 to 238.161.237.254 | 238.161.237.255 | 510 |
| 248 | 238.161.238.0/23 | 238.161.238.1 to 238.161.239.254 | 238.161.239.255 | 510 |
| 249 | 238.161.240.0/23 | 238.161.240.1 to 238.161.241.254 | 238.161.241.255 | 510 |
| 250 | 238.161.242.0/23 | 238.161.242.1 to 238.161.243.254 | 238.161.243.255 | 510 |
| 251 | 238.161.244.0/23 | 238.161.244.1 to 238.161.245.254 | 238.161.245.255 | 510 |
| 252 | 238.161.246.0/23 | 238.161.246.1 to 238.161.247.254 | 238.161.247.255 | 510 |
| 253 | 238.161.248.0/23 | 238.161.248.1 to 238.161.249.254 | 238.161.249.255 | 510 |
| 254 | 238.161.250.0/23 | 238.161.250.1 to 238.161.251.254 | 238.161.251.255 | 510 |
| 255 | 238.161.252.0/23 | 238.161.252.1 to 238.161.253.254 | 238.161.253.255 | 510 |
| 256 | 238.161.254.0/23 | 238.161.254.1 to 238.161.255.254 | 238.161.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |